40cbc688a537872a8846ab4a809907d4d5501a01
[releng/global-jjb.git] / jjb-test / expected-xml / gerrit-ciman-jjb-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue/>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>JJB_VERSION</name>
69           <description>Jenkins Job Builder version to download and install.</description>
70           <defaultValue>1.6.2</defaultValue>
71         </hudson.model.StringParameterDefinition>
72       </parameterDefinitions>
73     </hudson.model.ParametersDefinitionProperty>
74   </properties>
75   <scm class="hudson.plugins.git.GitSCM">
76     <configVersion>2</configVersion>
77     <userRemoteConfigs>
78       <hudson.plugins.git.UserRemoteConfig>
79         <name>origin</name>
80         <refspec>$GERRIT_REFSPEC</refspec>
81         <url>$GIT_URL/$GERRIT_PROJECT</url>
82         <credentialsId>test-credential</credentialsId>
83       </hudson.plugins.git.UserRemoteConfig>
84     </userRemoteConfigs>
85     <branches>
86       <hudson.plugins.git.BranchSpec>
87         <name>refs/heads/$GERRIT_BRANCH</name>
88       </hudson.plugins.git.BranchSpec>
89     </branches>
90     <excludedUsers/>
91     <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
92     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
93     <authorOrCommitter>false</authorOrCommitter>
94     <wipeOutWorkspace>true</wipeOutWorkspace>
95     <pruneBranches>false</pruneBranches>
96     <remotePoll>false</remotePoll>
97     <gitTool>Default</gitTool>
98     <submoduleCfg class="list"/>
99     <relativeTargetDir/>
100     <reference/>
101     <gitConfigName/>
102     <gitConfigEmail/>
103     <skipTag>true</skipTag>
104     <scmName/>
105     <useShallowClone>false</useShallowClone>
106     <ignoreNotifyCommit>false</ignoreNotifyCommit>
107     <extensions>
108       <hudson.plugins.git.extensions.impl.SubmoduleOption>
109         <disableSubmodules>false</disableSubmodules>
110         <recursiveSubmodules>true</recursiveSubmodules>
111         <trackingSubmodules>false</trackingSubmodules>
112         <reference/>
113         <timeout>10</timeout>
114       </hudson.plugins.git.extensions.impl.SubmoduleOption>
115       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
116     </extensions>
117   </scm>
118   <triggers class="vector">
119     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
120       <spec/>
121       <gerritProjects>
122         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
123           <compareType>ANT</compareType>
124           <pattern>releng/ciman</pattern>
125           <branches>
126             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
127               <compareType>ANT</compareType>
128               <pattern>**/master</pattern>
129             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
130           </branches>
131           <filePaths>
132             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
133               <compareType>ANT</compareType>
134               <pattern>**/*.sh</pattern>
135             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
136             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
137               <compareType>ANT</compareType>
138               <pattern>**/*.yaml</pattern>
139             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
140           </filePaths>
141           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
142         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
143       </gerritProjects>
144       <skipVote>
145         <onSuccessful>false</onSuccessful>
146         <onFailed>false</onFailed>
147         <onUnstable>false</onUnstable>
148         <onNotBuilt>false</onNotBuilt>
149       </skipVote>
150       <silentMode>false</silentMode>
151       <silentStartMode>false</silentStartMode>
152       <escapeQuotes>true</escapeQuotes>
153       <noNameAndEmailParameters>false</noNameAndEmailParameters>
154       <readableMessage>false</readableMessage>
155       <dependencyJobsNames/>
156       <notificationLevel/>
157       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
158       <triggerConfigURL/>
159       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
160       <triggerOnEvents>
161         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
162           <excludeDrafts>false</excludeDrafts>
163           <excludeTrivialRebase>false</excludeTrivialRebase>
164           <excludeNoCodeChange>false</excludeNoCodeChange>
165         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
166         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
167         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
168           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
169         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
170       </triggerOnEvents>
171       <buildStartMessage/>
172       <buildFailureMessage/>
173       <buildSuccessfulMessage/>
174       <buildUnstableMessage/>
175       <buildNotBuiltMessage/>
176       <buildUnsuccessfulFilepath/>
177       <customUrl/>
178       <serverName>test-server</serverName>
179     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
180   </triggers>
181   <builders>
182     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
183       <managedFiles>
184         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
185           <fileId>jjbini</fileId>
186           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
187           <variable/>
188         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
189       </managedFiles>
190     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
191     <hudson.tasks.Shell>
192       <command>#!/bin/bash
193 # SPDX-License-Identifier: EPL-1.0
194 ##############################################################################
195 # Copyright (c) 2017 The Linux Foundation and others.
196 #
197 # All rights reserved. This program and the accompanying materials
198 # are made available under the terms of the Eclipse Public License v1.0
199 # which accompanies this distribution, and is available at
200 # http://www.eclipse.org/legal/epl-v10.html
201 ##############################################################################
202
203 # This script will make sure that there are no JIRA URLs in the commit
204 # message. JIRA URLs will break the its-jira plugin
205
206 # Ensure we fail the job if any steps fail.
207 # Do not treat undefined variables as errors as in this case we are allowed
208 # to have JIRA_URL undefined
209 set -e -o pipefail
210 set +u
211
212 if [ -n &quot;${JIRA_URL}&quot; ];
213 then
214   BASE_URL=$(echo $JIRA_URL | awk -F'/' '{print $3}')
215   JIRA_LINK=$(git rev-list --format=%B --max-count=1 HEAD | grep -io &quot;http[s]*://$BASE_URL/&quot; || true)
216   if [[ ! -z &quot;$JIRA_LINK&quot; ]]
217   then
218     echo 'Remove JIRA URLs from commit message'
219     echo 'Add jira references as: Issue: &lt;JIRAKEY&gt;-&lt;ISSUE#&gt;, instead of URLs'
220     exit 1
221   fi
222 fi
223
224 #!/bin/bash
225 # SPDX-License-Identifier: EPL-1.0
226 ##############################################################################
227 # Copyright (c) 2017 The Linux Foundation and others.
228 #
229 # All rights reserved. This program and the accompanying materials
230 # are made available under the terms of the Eclipse Public License v1.0
231 # which accompanies this distribution, and is available at
232 # http://www.eclipse.org/legal/epl-v10.html
233 ##############################################################################
234 echo &quot;---&gt; jjb-install.sh&quot;
235
236 # Ensure we fail the job if any steps fail.
237 # DO NOT set -u as virtualenv's activate script has unbound variables
238 set -e -o pipefail
239
240 virtualenv &quot;/tmp/v/jjb&quot;
241 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
242 source &quot;/tmp/v/jjb/bin/activate&quot;
243 pip install --quiet --upgrade pip
244 pip install --quiet --upgrade pipdeptree
245 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
246
247 echo &quot;----&gt; Pip Dependency Tree&quot;
248 pipdeptree
249
250 #!/bin/bash
251 # SPDX-License-Identifier: EPL-1.0
252 ##############################################################################
253 # Copyright (c) 2017 The Linux Foundation and others.
254 #
255 # All rights reserved. This program and the accompanying materials
256 # are made available under the terms of the Eclipse Public License v1.0
257 # which accompanies this distribution, and is available at
258 # http://www.eclipse.org/legal/epl-v10.html
259 ##############################################################################
260 echo &quot;---&gt; jjb-verify-job.sh&quot;
261
262 # Ensure we fail the job if any steps fail.
263 set -eu -o pipefail
264
265 jenkins-jobs -l DEBUG test --recursive -o archives/job-configs --exclude jjb-test jjb
266
267 # Sort job output into sub-directories. On large Jenkins systems that have
268 # many jobs archiving so many files into the same directory makes NGINX return
269 # the directory list slow.
270 pushd archives/job-configs
271 for letter in {a..z}
272 do
273     if [[ $(ls &quot;$letter&quot;* &gt; /dev/null 2&gt;&amp;1) -eq 0 ]]
274     then
275         mkdir &quot;$letter&quot;
276         find . -maxdepth 1 -type f -name &quot;$letter*&quot; -exec mv {} &quot;$letter&quot; \;
277     fi
278 done
279 popd
280
281 #!/bin/bash
282 # SPDX-License-Identifier: EPL-1.0
283 ##############################################################################
284 # Copyright (c) 2015 The Linux Foundation and others.
285 #
286 # All rights reserved. This program and the accompanying materials
287 # are made available under the terms of the Eclipse Public License v1.0
288 # which accompanies this distribution, and is available at
289 # http://www.eclipse.org/legal/epl-v10.html
290 ##############################################################################
291 echo &quot;---&gt; jjb-check-unicode.sh&quot;
292
293 if LC_ALL=C grep -r '[^[:print:][:space:]]' jjb/; then
294     echo &quot;Found files containing non-ascii characters.&quot;
295     exit 1
296 fi
297
298 echo &quot;All files are ASCII only&quot;
299 </command>
300     </hudson.tasks.Shell>
301     <hudson.tasks.Shell>
302       <command>#!/bin/bash
303 # SPDX-License-Identifier: EPL-1.0
304 ##############################################################################
305 # Copyright (c) 2016 The Linux Foundation and others.
306 #
307 # All rights reserved. This program and the accompanying materials
308 # are made available under the terms of the Eclipse Public License v1.0
309 # which accompanies this distribution, and is available at
310 # http://www.eclipse.org/legal/epl-v10.html
311 ##############################################################################
312 echo &quot;---&gt; gpg-verify-git-signature.sh&quot;
313
314 if git log --show-signature -1 | grep -E -q 'gpg: Signature made.*key ID'; then
315    echo &quot;Git commit is GPG signed.&quot;
316 else
317    echo &quot;WARNING: GPG signature missing for the commit.&quot;
318 fi
319
320 # Do NOT fail the job for unsigned commits
321 exit 0
322 </command>
323     </hudson.tasks.Shell>
324   </builders>
325   <publishers>
326     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
327       <buildSteps>
328         <hudson.tasks.Shell>
329           <command>#!/bin/bash
330 # SPDX-License-Identifier: EPL-1.0
331 ##############################################################################
332 # Copyright (c) 2017 The Linux Foundation and others.
333 #
334 # All rights reserved. This program and the accompanying materials
335 # are made available under the terms of the Eclipse Public License v1.0
336 # which accompanies this distribution, and is available at
337 # http://www.eclipse.org/legal/epl-v10.html
338 ##############################################################################
339 echo &quot;---&gt; sysstat.sh&quot;
340 set +e  # DON'T fail build if script fails.
341
342 OS=$(facter operatingsystem)
343 case &quot;$OS&quot; in
344     Ubuntu)
345         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
346
347         # Dont run the script when systat is not enabled by default
348         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
349             exit 0
350         fi
351     ;;
352     CentOS|RedHat)
353         SYSSTAT_PATH=&quot;/var/log/sa&quot;
354     ;;
355     *)
356         # nothing to do
357         exit 0
358     ;;
359 esac
360
361 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
362 mkdir -p &quot;$SAR_DIR&quot;
363 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
364 # convert sar data to ascii format
365 while IFS=&quot;&quot; read -r s
366 do
367     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
368 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
369
370 # DON'T fail build if script fails.
371 exit 0
372 </command>
373         </hudson.tasks.Shell>
374         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
375           <managedFiles>
376             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
377               <fileId>jenkins-log-archives-settings</fileId>
378               <targetLocation/>
379               <variable>SETTINGS_FILE</variable>
380             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
381           </managedFiles>
382         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
383         <EnvInjectBuilder>
384           <info>
385             <propertiesContent>SERVER_ID=logs</propertiesContent>
386           </info>
387         </EnvInjectBuilder>
388         <hudson.tasks.Shell>
389           <command>#!/bin/bash
390 # SPDX-License-Identifier: EPL-1.0
391 ##############################################################################
392 # Copyright (c) 2017 The Linux Foundation and others.
393 #
394 # All rights reserved. This program and the accompanying materials
395 # are made available under the terms of the Eclipse Public License v1.0
396 # which accompanies this distribution, and is available at
397 # http://www.eclipse.org/legal/epl-v10.html
398 ##############################################################################
399 echo &quot;---&gt; create-netrc.sh&quot;
400
401 # Ensure we fail the job if any steps fail.
402 set -eu -o pipefail
403
404 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
405 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
406     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
407     -v x:username -o &quot;:&quot; -v x:password \
408     &quot;$SETTINGS_FILE&quot;)
409
410 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
411 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
412 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
413
414 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
415 </command>
416         </hudson.tasks.Shell>
417         <hudson.tasks.Shell>
418           <command>#!/bin/bash
419 # SPDX-License-Identifier: EPL-1.0
420 ##############################################################################
421 # Copyright (c) 2017 The Linux Foundation and others.
422 #
423 # All rights reserved. This program and the accompanying materials
424 # are made available under the terms of the Eclipse Public License v1.0
425 # which accompanies this distribution, and is available at
426 # http://www.eclipse.org/legal/epl-v10.html
427 ##############################################################################
428 echo &quot;---&gt; lftools-install.sh&quot;
429
430 # By default a released version of lftools should always be used.
431 # The purpose of the 2 variables below is so that lftools devs can test
432 # unreleased versions of lftools. There are 2 methods to install a dev version
433 # of lftools:
434 #
435 #     1) gerrit patch: Used to test a patch that has not yet been merged.
436 #                      To do this set something like this:
437 #                          LFTOOLS_MODE=gerrit
438 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
439 #
440 #     2) git branch: Used to install an lftools version from a specific branch.
441 #                    To use this set the variables as follows:
442 #                          LFTOOLS_MODE=git
443 #                          LFTOOLS_REFSPEC=master
444 #
445 #     3) release : The intended use case and default setting.
446 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
447
448 LFTOOLS_MODE=release  # release | git | gerrit
449 LFTOOLS_REFSPEC=master
450
451 # Ensure we fail the job if any steps fail.
452 # DO NOT set -u as virtualenv's activate script has unbound variables
453 set -e -o pipefail
454
455 virtualenv --quiet &quot;/tmp/v/lftools&quot;
456 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
457 source &quot;/tmp/v/lftools/bin/activate&quot;
458 pip install --quiet --upgrade pip
459
460 case $LFTOOLS_MODE in
461     gerrit)
462         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
463         pushd /tmp/lftools
464         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
465         git checkout FETCH_HEAD
466         pip install --quiet --upgrade -r requirements.txt
467         pip install --quiet --upgrade -e .
468         popd
469         ;;
470
471     git)
472         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
473         ;;
474
475     release)
476         pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
477         ;;
478 esac
479
480 # pipdeptree prints out a lot of information because lftools pulls in many
481 # dependencies. Let's only print it if we want to debug.
482 # echo &quot;----&gt; Pip Dependency Tree&quot;
483 # pip install --quiet --upgrade pipdeptree
484 # pipdeptree
485
486 #!/bin/bash
487 # SPDX-License-Identifier: EPL-1.0
488 ##############################################################################
489 # Copyright (c) 2017 The Linux Foundation and others.
490 #
491 # All rights reserved. This program and the accompanying materials
492 # are made available under the terms of the Eclipse Public License v1.0
493 # which accompanies this distribution, and is available at
494 # http://www.eclipse.org/legal/epl-v10.html
495 ##############################################################################
496 echo &quot;---&gt; logs-deploy.sh&quot;
497
498 # Ensure we fail the job if any steps fail.
499 set -eu -o pipefail
500
501 set -x  # Trace commands for this script to make debugging easier.
502
503 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
504 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
505
506 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
507 then
508     set +x # Disable trace since we no longer need it
509
510     echo &quot;WARNING: Logging server not set&quot;
511 else
512     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
513     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
514     BUILD_URL=&quot;${BUILD_URL}&quot;
515
516     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
517     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
518
519     set +x  # Disable trace since we no longer need it.
520
521     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
522 fi
523 </command>
524         </hudson.tasks.Shell>
525         <hudson.tasks.Shell>
526           <command>#!/bin/bash
527 # SPDX-License-Identifier: EPL-1.0
528 ##############################################################################
529 # Copyright (c) 2017 The Linux Foundation and others.
530 #
531 # All rights reserved. This program and the accompanying materials
532 # are made available under the terms of the Eclipse Public License v1.0
533 # which accompanies this distribution, and is available at
534 # http://www.eclipse.org/legal/epl-v10.html
535 ##############################################################################
536
537 # Clear log credential files
538 rm &quot;$SETTINGS_FILE&quot;
539 rm ~/.netrc
540 </command>
541         </hudson.tasks.Shell>
542         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
543           <regexp>^Build logs: .*</regexp>
544         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
545       </buildSteps>
546       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
547       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
548       <markBuildUnstable>false</markBuildUnstable>
549     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
550     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
551       <patterns>
552         <hudson.plugins.ws__cleanup.Pattern>
553           <pattern>**/*.jenkins-trigger</pattern>
554           <type>EXCLUDE</type>
555         </hudson.plugins.ws__cleanup.Pattern>
556       </patterns>
557       <deleteDirs>false</deleteDirs>
558       <cleanupMatrixParent>false</cleanupMatrixParent>
559       <externalDelete/>
560       <cleanWhenSuccess>true</cleanWhenSuccess>
561       <cleanWhenUnstable>true</cleanWhenUnstable>
562       <cleanWhenFailure>true</cleanWhenFailure>
563       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
564       <cleanWhenAborted>true</cleanWhenAborted>
565       <notFailBuild>true</notFailBuild>
566     </hudson.plugins.ws__cleanup.WsCleanup>
567   </publishers>
568   <buildWrappers>
569     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
570     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
571       <timeoutMinutes>10</timeoutMinutes>
572       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
573       <failBuild>true</failBuild>
574       <writingDescription>false</writingDescription>
575       <timeoutPercentage>0</timeoutPercentage>
576       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
577       <timeoutType>absolute</timeoutType>
578     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
579     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
580     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
581       <user>test-credential</user>
582     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
583     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
584   </buildWrappers>
585 </project>